export default {
  methods: {
    /* returns a new minimal object from the current show object with all
    properties needed for a PUT request to the /show/ endpoint */
    getUpdateShowObject () {
      let s = {}
      s.name = this.show.name
      s.slug = this.show.slug
      s.short_description = this.show.short_description
      s.fundingcategory = this.show.fundingcategory
      s.type = this.show.type
      // we do not want the arrays do be passed as references, because the
      // current show object should not get modified when the update object
      // gets modified, therefore we use slice to clone the arrays
      s.category = this.show.category.slice()
      s.hosts = this.show.hosts.slice()
      s.owners = this.show.owners.slice()
      s.language = this.show.language.slice()
      s.topic = this.show.topic.slice()
      s.musicfocus = this.show.musicfocus.slice()
      return s
    },
  }
}
